Bug 1986003 - Bump to latest available 1.22.x k8s
Summary: Bump to latest available 1.22.x k8s
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-apiserver
Version: 4.9
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.9.0
Assignee: Maciej Szulik
QA Contact: Rahul Gangwar
URL:
Whiteboard:
Depends On:
Blocks: 1968520 1994457 2002552
TreeView+ depends on / blocked
 
Reported: 2021-07-26 13:24 UTC by Maciej Szulik
Modified: 2021-10-18 17:42 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:41:12 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift api pull 973 0 None open Bug 1986003: Bump k8s.io to 1.22.0-rc.0 2021-08-25 17:10:33 UTC
Github openshift api pull 997 0 None None None 2021-08-31 09:12:15 UTC
Github openshift apiserver-library-go pull 57 0 None open Bug 1986003: Bump k8s.io to 1.22.0-rc.0 2021-08-25 17:10:34 UTC
Github openshift apiserver-library-go pull 61 0 None None None 2021-08-31 10:39:54 UTC
Github openshift builder pull 262 0 None None None 2021-08-25 17:10:35 UTC
Github openshift client-go pull 188 0 None open Bug 1986003: Bump k8s.io to 1.22.0-rc.0 2021-08-25 17:10:35 UTC
Github openshift client-go pull 193 0 None None None 2021-08-31 09:29:02 UTC
Github openshift cluster-kube-apiserver-operator pull 1181 0 None open Bug 1986003: Bump k8s.io to 1.22.0-rc.0 2021-08-25 17:10:36 UTC
Github openshift cluster-kube-controller-manager-operator pull 550 0 None open Bug 1986003: Bump k8s.io to 1.22.0-rc.0 2021-08-25 17:10:37 UTC
Github openshift cluster-kube-descheduler-operator pull 204 0 None open Bug 1986003: Bump k8s.io to 1.22.0-rc.0 2021-08-25 17:10:38 UTC
Github openshift cluster-kube-scheduler-operator pull 362 0 None open Bug 1986003: Bump k8s.io to 1.22.0-rc.0 2021-08-25 17:10:38 UTC
Github openshift cluster-openshift-controller-manager-operator pull 225 0 None None None 2021-08-25 17:10:39 UTC
Github openshift kubernetes pull 862 0 None None None 2021-08-25 17:10:40 UTC
Github openshift kubernetes pull 916 0 None None None 2021-08-30 14:56:59 UTC
Github openshift kubernetes pull 923 0 None None None 2021-09-01 11:39:40 UTC
Github openshift library-go pull 1137 0 None open Bug 1986003: Bump k8s.io to 1.22.0-rc.0 2021-08-25 17:10:40 UTC
Github openshift library-go pull 1194 0 None None None 2021-08-31 09:55:38 UTC
Github openshift oc pull 890 0 None open Bug 1986003: Bump k8s.io to 1.22.0-rc.0 2021-08-25 17:10:40 UTC
Github openshift openshift-controller-manager pull 195 0 None None None 2021-08-25 17:10:50 UTC
Github openshift origin pull 26350 0 None open Bug 1986003: disable ResourceQuota and CSI tests to land k8s 1.22 2021-08-25 17:10:42 UTC
Github openshift origin pull 26352 0 None open Bug 1986003: disable etcd tests, one more csi and udpconnectivity 2021-08-25 17:10:43 UTC
Github openshift origin pull 26366 0 None None None 2021-08-25 17:10:44 UTC
Github openshift origin pull 26367 0 None None None 2021-08-25 17:10:44 UTC
Github openshift origin pull 26370 0 None None None 2021-08-25 17:10:45 UTC
Github openshift origin pull 26372 0 None None None 2021-08-25 17:10:46 UTC
Github openshift origin pull 26377 0 None None None 2021-08-25 17:10:47 UTC
Github openshift origin pull 26407 0 None None None 2021-08-25 17:10:48 UTC
Github openshift origin pull 26433 0 None None None 2021-08-31 09:13:25 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:42:29 UTC

Description Maciej Szulik 2021-07-26 13:24:02 UTC

Comment 6 Xingxing Xia 2021-08-27 02:20:12 UTC
Keeping status not VERIFIED for some time in case Dev will move to ON_QA again for possible still worked on repos ...

Comment 7 Xingxing Xia 2021-08-30 12:42:05 UTC
Moving to VERIFIED directly. As for functional tests, have to rely on QE's daily schedule regression tests. During the tests, if there will be issue hit on any component related to the rebase, separate bug should be filed.

Comment 8 Maciej Szulik 2021-08-30 14:56:38 UTC
We're bumping k8s to 1.22.1 so moving  back to post.

Comment 11 Xingxing Xia 2021-08-31 02:00:57 UTC
Keeping status not VERIFIED for some time in case Dev will move to ON_QA again for possible still worked on repos targeting 1.22.1 ...

Comment 12 Maciej Szulik 2021-09-08 14:17:48 UTC
All the bits for this one merged last week, moving to modified.

Comment 15 Xingxing Xia 2021-09-09 12:32:53 UTC
Dealing with it like comment 7 ...

Comment 16 Xingxing Xia 2021-09-09 12:34:36 UTC
Hmm, sorry, https://github.com/openshift/kubernetes/pull/923 is not yet merged.

Comment 17 Maciej Szulik 2021-09-09 13:18:33 UTC
(In reply to Xingxing Xia from comment #16)
> Hmm, sorry, https://github.com/openshift/kubernetes/pull/923 is not yet
> merged.

This is not related, moving back to qa.

Comment 48 errata-xmlrpc 2021-10-18 17:41:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.